﻿<?PHP
	//////////////////////////////////////
	// Classic Games by tibone          //
	// Version 7.0 (Jun 04 2018)        //
	// Designed and Developed by tibone //
	// tibone at gmail dot com          //
	// Support Free Technologies        //
	//////////////////////////////////////

$version = "7.0_20180604";
$linebreak = '<div class="r">
				<div class="c20">
					<hr class="linebreak">
				</div>
			</div>';

// Start of the page generated timer.
$time = microtime();
$time = explode(' ', $time);
$time = $time[1] + $time[0];
$start = $time;

// csv file location, this could be a google docs export //
$csv_file = 'site.csv';

// Loads the csvreader class //
require_once('class.csvreader.php');

// Instantiates the new object //
$csv = new csvreader($csv_file);

?>

<!DOCTYPE html>
<!--

	//////////////////////////////////////
	// Classic Games by tibone          //
	// Version <?PHP echo $version."           "; ?>  //
	// Designed and Developed by tibone //
	//                                  //
	// Support Free Technologies        //
	// Built using only open-source     //
	// software.                        //
	//////////////////////////////////////

	That is not dead which can eternal lie.
	And with strange aeons even death may die.
-->
<html lang="en">
	<head>
		<title>tibone's stuff - music and games</title>
		<!-- Set the base url for url re-write -->
		<base href="http://<?php echo $_SERVER['HTTP_HOST'] . $_SERVER['SCRIPT_NAME']; ?>" /> 
		
		<!-- Loading the Stylesheet -->
		<link rel="stylesheet" type="text/css" href="css/cgames.min.css" media="none" onload="if(media!='all')media='all'" />
		<link rel="stylesheet" type="text/css" href="css/ghostframe.min.css" media="none" onload="if(media!='all')media='all'" />

		<!-- Load the font -->
		<link href='http://fonts.googleapis.com/css?family=Raleway:300,400' rel='stylesheet' type='text/css' media="none" onload="if(media!='all')media='all'">
		<link href="https://fonts.googleapis.com/css?family=Megrim" rel="stylesheet" media="none" onload="if(media!='all')media='all'">
		
		<!-- Charset Encoding -->
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		
		<!-- Set the Canonical URL for SEO -->
		<link rel="canonical" href="http://www.classicgames.com.br/" />
		
		<!-- Everybody has to be mobile-friendly -->
		<meta name="viewport" content="width=device-width, initial-scale=1">

		<!-- FavIcon -->
		<link rel="shortcut icon" type="image/x-icon" href="favicon.ico">
		<link rel="icon" sizes="192x192" href="favicon.png">

		<!-- Change the color of the address bar -->
		<!-- Android -->
		<meta name="theme-color" content="#57007F">
		<!-- Windows Phone -->
		<meta name="msapplication-navbutton-color" content="#57007F">
		<!-- iOS Safari -->
		<meta name="apple-mobile-web-app-status-bar-style" content="#57007F">

		<!-- Meta Data, because people love meta-data -->
		<meta name="description" content="tibone's dump of code. Nearly all the software i've coded in life, is here in one way or the other. Games like Shin Doraigo, 4B10, Stormtropper Revenge and more. My Sega Master system homebrew games are also here." />
		<meta name="keywords" content="sega, master, system, homebrew software, sms homebrew, smspower, 8bits, 16bits, retrogames, retro, classic, games, jogos, antigos, classicos, snes, nes, nintendo, mega, master, sega, saturn, playstation, msx, 8-bit, 16-bit, 8bit, 16bit" />
	</head>
	
	<!-- A body is a body and nothing more than a body, unless you add some limbs -->
	<body>
		
		<div class="gridP pads">
			
			<!-- ********************************** HEADER ******************************************* -->
			<header>
			<div class="r">
				<div class="c20">
					<div class="cosmonaut">
						<img src="img/catskull.png" style="border:0;" alt="CatSkull Logo" />
					</div>
				
					<div class="logo">
						&nbsp;&nbsp;&nbsp;
						<h1 class="title">tibone</h1>
					</div>
				</div>
			</div>
			</header>

			<br>
			<br>
			<article>
			<!-- ************************************ MUSIC ****************************************** -->
			<div class="r" id="music">
				<div class="c20 headline">
					<header><h2 class="headline">music</h2></header>
				</div>
			</div>

			<br>
			<br>
			<?PHP $data = $csv->readCSVfilter(1,"3");
					foreach($data as $k=>$csv_row) {
						require('inc_array.php'); ?>
						<!-- <?PHP echo $title; ?> -->
						<div class="r">
							<div class="c4 img_align">
								<img src="img/<?PHP echo $img; ?>" style="border:0;" alt="<?PHP echo $title; ?>" />
							</div>
							<div class="c1">
								&nbsp;
							</div>
							<div class="c15 text">
								<span class="subtitle"><?PHP echo $title; ?></span>
								<br>
								<?PHP echo $text; ?>
								<br>
								(<a href="<?PHP echo $link; ?>" target="_blank"><?PHP echo $link_text; ?></a>)
								<?PHP if($link2 !== '') { ?>
										<br>(<a href="<?PHP echo $link2; ?>" target="_blank"><?PHP echo $link2_text; ?></a>)
								<?PHP } ?>
								<br>
							</div>
						</div>
						<?PHP echo $linebreak; ?>
						<br>
						<br>
					<?PHP } ?>
			</article>
			
			<article>
			<!-- ************************************ computer games ****************************************** -->
			<div class="r" id="games">
				<div class="c20 headline">
					<header><h2 class="headline">computer games</h2></header>
				</div>
			</div>

			<br>
			<br>

			<?PHP $data = $csv->readCSVfilter(1,"1");
					foreach($data as $k=>$csv_row) {
						require('inc_array.php'); ?>
						<!-- <?PHP echo $title; ?> -->
						<div class="r">
							<div class="c4 img_align">
								<img src="img/<?PHP echo $img; ?>" style="border:0;" alt="<?PHP echo $title; ?>" />
							</div>
							<div class="c1">
								&nbsp;
							</div>
							<div class="c15 text">
								<span class="subtitle"><?PHP echo $title; ?></span>
								<br>
								<?PHP echo $text; ?>
								<br>
								(<a href="<?PHP echo $link; ?>" target="_blank"><?PHP echo $link_text; ?></a>)
								<br>
								<?PHP if($link2 !== '') { ?>
										(<a href="<?PHP echo $link2; ?>" target="_blank"><?PHP echo $link2_text; ?></a>)
								<?PHP } ?>
							</div>
						</div>
						<?PHP echo $linebreak; ?>
						<br>
						<br>
					<?PHP } ?>
			</article>

			<article>
			<!-- ************************************ MINI GAMES ****************************************** -->
			<div class="r" id="minigames">
				<div class="c20 headline">
					<header><h2 class="headline">mini games</h2></header>
				</div>
			</div>
			

				<br>
				<br>
			<?PHP $data = $csv->readCSVfilter(1,"2");
					foreach($data as $k=>$csv_row) {
						require('inc_array.php'); ?>
						<!-- <?PHP echo $title; ?> -->
						<div class="r">
							<div class="c4 img_align">
								<img src="img/<?PHP echo $img; ?>" style="border:0;" alt="<?PHP echo $title; ?>" />
							</div>
							<div class="c1">
								&nbsp;
							</div>
							<div class="c15 text">
								<span class="subtitle"><?PHP echo $title; ?></span>
								<br>
								<?PHP echo $text; ?>
								<br>
								(<a href="<?PHP echo $link; ?>" target="_blank"><?PHP echo $link_text; ?></a>)
								<?PHP if($link2 !== '') { ?>
										<br>(<a href="<?PHP echo $link2; ?>" target="_blank"><?PHP echo $link2_text; ?></a>)
								<?PHP } ?>
								<br>
							</div>
						</div>
						<?PHP echo $linebreak; ?>
						<br>
						<br>
					<?PHP } ?>
			</article>
			
			<article>
			<!-- ************************************ OTHER STUFF ****************************************** -->
			<div class="r" id="other">
				<div class="c20 headline">
					<header><h2 class="headline">other stuff</h2></header>
				</div>
			</div>
			<?PHP $data = $csv->readCSVfilter(1,"4");
					foreach($data as $k=>$csv_row) {
						require('inc_array.php'); ?>
						<!-- <?PHP echo $title; ?> -->
							<div class="r">
								<div class="c20 text">
									<a href="<?PHP echo $link; ?>" target="_blank"><?PHP echo $link_text; ?></a>:	<?PHP echo $text; ?>
									<br><br>
								</div>
							</div>
						<?PHP echo $linebreak; ?>

					<?PHP } ?>
			</article>
			
			<footer>
			<!-- ************************************ CREDITS ****************************************** -->
			<div class="r">
				<div class="c20 text">
					<br><br>
					Disclaimer: All software programs here are provided as-is, and i take no responsability for any undesired effects or damage
					it may cause. Everything here was coded by myself. Sources are available on some of the packages, if they can be of interest.<br>
					This site doesn't collect any information from the user.<br>
					This site was built using the <a href="stf/ghostframe_src.zip" target="_blank">ghostframe css boilerplate</a>
					and the <a href="stf/class_csv_header_src.zip" target="_blank">php csv reader class</a><br>
					Source code for this site is available here: <a href="stf/site_src.zip">site sources</a><br>
					This entire site is built on free software. Please support the free software initiative.<br>
					This page is W3C Complaint: <a href="https://validator.w3.org/nu/?doc=http%3A%2F%2Fclassicgames.com.br%2Fsite%2F" target="_blank">check here</a>.<br>
					Version: <?PHP echo $version; ?><br>
					This page was generated from a cloud hosted dynamic content file in:
					<?PHP

						$time = microtime();
						$time = explode(' ', $time);
						$time = $time[1] + $time[0];
						$finish = $time;
						$total_time = round(($finish - $start), 4);
						if($total_time <= 0) {	echo 'less than a second.'; }
						if($total_time > 0) { echo ' '.$total_time.' seconds.'; }
					?>
					<br>
					<br>
				</div>
			</div>
			</footer>
		</div>
		
		<script>
			// Used for URL re-write //
			<?PHP if(isset($_GET['p'])) { 
				$p = $_GET['p'];
				if(substr($_GET['p'], -1) == "/") { $p = substr($p, 0, -1); } ?>
				document.getElementById('<?PHP echo $p; ?>').scrollIntoView();
			<?PHP } ?>
		</script>
	</body>
</html>
